<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 28.30</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $(document).ready(function (){
            onPageLoading();
            function onPageLoading(){
            console.log("%c tải trang...", "color:green");
        }
        
        
        $("#btn-batden").on("click",function(){
            $("#imgLight").prop("src","images/pic_bulbon.gif");
        });
         $("#btn-tatden").on("click",function(){
            $("#imgLight").prop("src","images/pic_bulboff.gif");
         });
        // function onBtnBatDen(){
        //     console.log("Click nut bat den");

        // }
        // function onBtnTatDen(){
        //     console.log("Click nut Tắt đèn");
        // }
       
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    });
    </script>
</head>
<body>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="d-flex align-items-end">
                <button class="btn btn-warning" id="btn-batden">Bật đèn</button>
                <img id="imgLight" src="images/pic_bulboff.gif" alt="light image" width="150px">
                <button class="btn btn-secondary" id="btn-tatden">Tắt đèn</button>
            </div>
        </div>
    </div>
</body>
</html>